SDL_RESTRICT(3)

NAME
SDL_RESTRICT - A macro to tag a pointer variable, to help with pointer aliasing.

HEADER FILE
Defined in SDL3/SDL_begin_code.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_RESTRICT __restrict__

DESCRIPTION
A good explanation of the restrict keyword is here:

https://en.wikipedia.org/wiki/Restrict

On compilers without restrict support, this is defined to nothing.

AVAILABILITY
This macro is available since SDL 3.2.0.